// main: ./main.less, out: ../style.css, compress: false

/* ====================================================================================================================================
WOOCOMMERCE
======================================================================================================================================*/
.u-columns {
    display: flex;
}
.u-column1, .u-column2 {
    width: 50%;
}
@media @mq--smartphone {
    .u-columns {
        flex-wrap: wrap;
    }
    .u-column1, .u-column2 {
        width: 100%;
    }
}
// RESET FORMS
.woocommerce input[type="radio"] {
    margin:0 4px;
}
.woocommerce button {
    appearance: none;
    border: none;
}
.woocommerce-checkout select {
    width: 100%;
}
.woocommerce .site-main {
    padding-bottom: 120px
}

.button {
    .u-reset-appearance;
    display: inline-block!important;
}

.woocommerce-loop-product__title {
    .txt--font__bold;
    .txt--s__md!important;
    .o-underline;
    display: block;
    margin-top: 0;
}

// HOME 
#main {
    max-width: 840px;
    margin: 0 auto;
}

.container-products,
.container-categories {
    position: relative;
}

// HOME - CATEGORIE
.c-home_categories {
    position: relative;
    display: flex;
    justify-content: space-between;
    margin-bottom: @margin__md*4;
    margin-top: -10px;
    .c-home_categories__item {
        position: relative;
    }
    .c-home_categories__img {
        max-height: 340px;
        margin-bottom: @margin__rg;
    }
    .c-home_categories__title {
        .o-underline;
        display: block;
        margin-bottom: 0;
        margin-left: -20px;
        .txt--font__bold;
    }
    .c-home_categories__btn {
        position: absolute;
        bottom: -20px;
        right: 0;
    }
}

@media @mq--tablet {
    .c-home_categories__item {
        &:first-child {
            margin-right: 20px;
        }
        &:last-child {
            margin-left: 20px;
        }
    }
}

@media @mq--smartphone {
    .c-home_categories {
        flex-direction: column;
        margin-bottom: @margin__md*2;
    }
}

// HOME - PRODOTTI IN EVIDENZA
.home .products {
    display: flex;
    flex-direction: column;
    .button {
        .o-btn;
        .o-btn--right;
        display: inline-block!important;
        margin-top: 10px;
        @media @mq--smartphone {
            margin: 0;
        }
    }
    .product {
        width: 100%;
        margin: 0;
        display: flex;
        align-items: center;
        margin-bottom: @margin__md*4;
        .c-home_categories__details {
            margin-left: 10px;
            @media @mq--smartphone {
                margin: 0;
                width: 100%;
            }
        }
        .woocommerce-loop-product__title {
            margin-left: -50px;
            .txt--s__lg!important;
            @media @mq--smartphone {
                margin-left: 0;
                margin-bottom: 10px;
                margin-top: 10px;
            }
        }
        img {
            max-width: 582px;
            width: 100%;
            @media @mq--tablet {
                max-width: 460px;
            }
            @media @mq--smartphone {
                max-width: 100%;
            }
        }
        &:nth-child(2) {
            align-self: flex-end;
            flex-direction: row-reverse;
            text-align: right;
            .c-home_categories__details {
                margin-right: 10px;
                margin-left: 0;
            }
            .woocommerce-loop-product__title {
                margin-left: 0;
                margin-right: -50px;
            }
            @media @mq--tablet,
            @mq--smartphone {
                align-self: flex-start;
                flex-direction: row;
                text-align: left;
            }
            @media @mq--tablet {
                .c-home_categories__details {
                    margin-right: 0;
                    margin-left: 10px;
                }
                .woocommerce-loop-product__title {
                    margin-left: -50px;
                    margin-right: 0;
                }
            }
            @media @mq--smartphone {
                .c-home_categories__details {
                    margin-right: 0;
                    margin-left: 0;
                }
                .woocommerce-loop-product__title {
                    margin-left: 0;
                    margin-right: 0;
                }
            }
            .onsale {
                right: @margin__rg/2;
                left: inherit;
                .txt--font__bold;
                @media @mq--tablet {
                    right: inherit;
                    left: @margin__rg/2;
                    top: @margin__lg;
                }
                @media @mq--smartphone {
                    right: @margin__rg/2;
                    left: inherit;
                    top: @margin__rg/2;
                }
            }
            &.outofstock {
                &:after {
                    left: inherit;
                    right: @margin__rg/2;
                }
                @media @mq--tablet, @mq--smartphone {
                    &:after {
                        top: @margin__rg/2;
                        left: @margin__rg/2;
                        right: inherit;
                    }
                }
            } 
        
        } //smartphone .product
        @media @mq--smartphone {
            flex-direction: column!important;
            margin-bottom: @margin__md*2;
        }
    }
    .onsale {
        position: absolute;
        left: @margin__rg/2;
        bottom: @margin__rg/2;
        width: 100px;
        padding: @margin__rg/2;
        background-color: @vr__col-6;
        border-radius: 3px;
        color: white;
        z-index: 1;
        text-align: center;
        .txt--font__bold;
        @media @mq--tablet {
            right: inherit;
            left: @margin__rg/2;
            top: @margin__lg;  
            bottom: inherit;
        }
        @media @mq--smartphone {
            right: @margin__rg/2;
            left: inherit;
            top: @margin__rg/2;
            bottom: inherit;
        }
    }
}
.products .product.outofstock {
    &:after {
        position: absolute;
        display: block;
        content: 'Esaurito';
        top: @margin__rg/2;
        left: @margin__rg/2;
        right: inherit;
        padding: @margin__rg/2;
        background-color: @vr__col-3!important;
        border-radius: 3px;
        color: white;
        .txt--font__bold;
        z-index: 1;
    }
    @media @mq--tablet, @mq--smartphone {
        &:after {
            top: @margin__rg/2;
            left: @margin__rg/2;
            right: inherit;
        }
    }
}  
html[lang="en-US"] {
   .products .product.outofstock {
        &:after {
            content: 'Out of stock';
        }
    }
}
// CATALOGO
.page-catalog {
    .onsale {
        position: absolute;
        display: block;
        top: @margin__rg/2;
        right:  @margin__rg/2;
        padding: @margin__rg/2;
        background-color: @vr__col-6;
        border-radius: 3px;
        .txt--font__bold;
        color: @vr__col-2;
        text-align: center;
        z-index: 1;
        @media @mq--tablet {
            right: inherit;
            left:  @margin__rg/2;
            top: @margin__lg;
        }
        @media @mq--smartphone {
            left: inherit;
            right:  @margin__rg/2;
            top: @margin__rg/2;
        }
    }
    .woocommerce-products-header {
        display: flex;
        justify-content: space-around;
        flex-direction: column;
        .woocommerce-products-header__title {
            .txt--font__bold;
            .txt--s__xl;
            .o-underline;
        }
        p {
            column-count: 2;
            column-gap: 40px;
        }
    }
    .products {
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
        .image-cat-product {
            max-width: 400px;
        }
    }
    .product {
        width: calc(50% ~"-" 20px)!important;
        margin-right: 0!important;
        margin-bottom: @margin__lg!important;
        a {
            max-width: 400px;
        }
        img {
            width: 582px;
        }
        &:first-child {
            .woocommerce-loop-category__title {
                left: -60px;
            }
        }
        &:last-child {
            .woocommerce-loop-category__title {
                right: -60px;
            }
        }
        .woocommerce-loop-category__title {
            writing-mode: vertical-lr;
            -webkit-writing-mode: vertical-lr;
            -moz-writing-mode: vertical-lr;
            position: absolute;
            top: 50%;
            margin: 0;
            .txt--font__bold;
            .txt--s__lg;
            .u-transform(translateY(-50%));
            mark {
                display: none;
            }
        } // .button {
        //     .u-button;
        // }
    }
}

.woocommerce-result-count {
    display: none;
}

.woocommerce-ordering {
    text-align: left;
    padding: @margin__md 0; //border-top: solid 1px @vr__col-1;
}

@media @mq--tablet,
@mq--smartphone {
    .page-catalog {
        .products {
            flex-direction: column;
        }
        .product {
            width: 50%!important;
            margin: 0 auto@margin__md!important;
            .woocommerce-loop-category__title {
                writing-mode: initial;
                position: relative;
                top: initial;
                .u-transform(initial);
            }
            &:first-child {
                .woocommerce-loop-category__title {
                    left: initial;
                }
            }
            &:last-child {
                .woocommerce-loop-category__title {
                    right: initial;
                }
            }
        }
    }
    .tax-product_cat .products {
        flex-direction: row;
        .product {
            margin-left: @margin__rg/2!important;
            margin-right: @margin__rg/2!important;
            width: calc(50% ~"-" @margin__rg)!important;
        }
    }
}

@media @mq--smartphone {
    .page-catalog {
        .woocommerce-products-header {
            p {
                column-count: 1;
                column-gap: 0;
            }
        }
        .product {
            width: 80%!important;
            margin: 0 auto@margin__rg!important;
        }
    }
    .tax-product_cat .products {
        flex-direction: column;
        .product {
            margin-left: auto!important;
            margin-right: auto!important;
            width: 100%!important;
        }
    }
}

// SCHEDA SINGOLO PRODOTTO
.product-template-default {
    .onsale {
        position: absolute;
        display: block;
        top: @margin__lg;
        right: 0;
        padding: @margin__rg/2;
        background-color: @vr__col-6;
        border-radius: 3px;
        .txt--font__bold;
        color: @vr__col-2;
        text-align: center;
        z-index: 1;
        @media @mq--smartphone {
            position: static;
            top: inherit;
            right: inherit;
        }
    }
   
    .entry-summary {
        margin-top: 0!important;
        display: flex;
        justify-content: space-between;
        @media @mq--smartphone {
            flex-direction: column;
            .cart {
                flex-direction: column;
                align-items: flex-start!important;
                margin-top: @margin__rg/2;
                .button {
                    margin-top: @margin__rg/2;
                }
            }
        }
        .price {
            .txt--font__bold;
            font-size: @size__md;
            margin: 0;
        }
        .cart {
            display: flex;
            align-items: center;
        }
        .quantity {
            margin-right: @margin__rg;
        }
    }
    .woocommerce-product-gallery__trigger {
        display: none!important;
    }
    .woocommerce-tabs {
        margin: 0 0 @margin__xl;
    }
}

.woocommerce-tabs {
    .woocommerce-Tabs-panel--description {
        display: block!important;
    }
    ul.tabs {
        margin-bottom: @margin__lg!important;
        a {
            text-decoration: underline;
        }
        li {
            position: relative;
            width: 200px;
            &:after {
                display: block;
                position: absolute;
                content: '+';
                right: 0;
                top: 50%;
                margin-top: -@margin__rg/2;
                line-height: @margin__rg;
                height: @margin__rg;
                width: @margin__rg;
            }
            &.active {
                .txt--font__bold;
                &:after {
                    content: '-';
                }
            }
        }
    }
}
.shop_attributes {
    th, td {
        height: @margin__md;
    }
    th {
        .txt--font__bold;
        text-align: left;
        width: 100px;
    }
}
.woocommerce-message,
.woocommerce-info {
    padding: @margin__rg/2;
    background-color: @vr__col-3!important;
    color: @vr__col-2;
    margin-bottom: 5px;
    border-radius: 3px;

    a {
        text-decoration: underline;
    }
}
.woocommerce-error {
    padding: @margin__rg/2;
    background-color: @vr__col-3!important;
    color: @vr__col-2;
    margin: 0 0 5px;
    padding: @margin__rg/2;
    border-radius: 3px;
    li {
        list-style-type: none;
        margin-bottom: 4px;
    }
}
.related .products {
 .onsale {
    top: 10px;
    right: 10px;
    left: inherit;
 }
}
// CASSA
.select2-container--default .select2-selection--single {
    border-radius: 0;
    border: solid 1px @vr__col-4;
    height: 35px;
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
    top: 0;
    right: 0;
    height: 35px;
}
.select2-container--default .select2-selection--single .select2-selection__rendered {
    height: 35px;
}

.woocommerce-billing-fields__field-wrapper,
.woocommerce-shipping-fields__field-wrapper,
.woocommerce-address-fields__field-wrapper,
.woocommerce-EditAccountForm {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    .form-row {
        width: 49%!important;
        margin: 0!important;
        min-height: 70px!important;
        display: flex;
        flex-direction: column;
        justify-content: flex-end;
        padding-bottom: 10px;
        abbr[title] {
            border-bottom: none;
            text-decoration: none;
            color: @vr__col-3;
        }
        input, select {
            width: 100%;
        }
    }
    @media @mq--smartphone {
        .form-row {
            width: 100%!important;
        }
    }
}

#ship-to-different-address {
    .txt--s__sm;
}

.woocommerce-checkout-review-order-table,
.woocommerce-order-details,
.shop_table {
    thead {
        tr {
            height: 30px;
            .txt--font__bold;
            text-align: left;
        }
    }
    .product-total,
    .cart-subtotal td,
    .shipping td,
    .order-total td,
    tfoot td,
    .product-subtotal {
        text-align: right;
    }
    tbody {
        border-top: solid 1px @vr__col-6!important;
        border-bottom: solid 1px @vr__col-6!important;
        margin: 10px 0;
    }
    tr {
        height: 32px;
    }
    .cart_item {
        margin: @margin__lg;
    }
    .cart-subtotal,
    .shipping,
    .order-total,
    tfoot th {
        .txt--font__bold;
        text-align: left;
    }
    .shipping th,
    .shipping td {
        .txt--font__normal!important;
    }
    .order-total {
        .txt--s__lg;
    }
    tfoot td {
        .txt--font__bold;
    }
}

#order_review_heading {
    margin-top: @margin__xl;
}

.woocommerce-checkout-review-order,
#order_review {
    .wc_payment_methods {
        margin: @margin__xl 0 @margin__rg;
        padding: 0;
        img {
            margin-right: @margin__rg/2;
        }
        li {
            list-style-type: none;
        }
        .payment_method_paypal {
            img {
                width: 35px;
                margin-bottom: -4px;
            }
        }
    }
}

.woocommerce-password-strength {
    text-align: left!important;
    margin-top: 20px!important;
    line-height: normal!important;
}

.woocommerce-form,
#account_password_field,
#account_username_field {
    label {
        display: block;
    }
}

// CARRELLO
.shop_table.shop_table_responsive.cart.woocommerce-cart-form__contents {
    thead {
        tr {
            height: 30px;
            .txt--font__bold;
            text-align: left;
        }
    }
    .product-subtotal {
        text-align: right!important;
    }
    .woocommerce-cart-form__cart-item.cart_item {
        .product-remove {
            color: @vr__col-3;
        }
        .product-thumbnail {
            max-width: 130px;
            padding-right: 20px;
            &:before {
                content: '';
            }
        }
        .product-name {
            .txt--font__bold
        }
        .product-subtotal {
            .txt--s__lg;
        }
        @media @mq--smartphone {
            .product-thumbnail {
                max-width: 100%;
                padding-right: 0;
                text-align: center;
                margin-top: 20px;
            }
            .product-remove {
                text-align: center;
                margin: 5px 0 @margin__rg;
                padding: 5px 0;
                background-color: @vr__col-3;
                color: @vr__col-2;
            }
            .product-name,
            .product-price,
            .product-quantity {
                height: 30px;
            }
            .product-subtotal {
                border-bottom: solid 1px @vr__col-6;
                margin: @margin__rg/2 0 @margin__rg;
            }
        }
    } //pulsante aggiorna carrello    
    .update_cart {
        margin: @margin__rg/2 0;
        display: inline-block;
        text-decoration: underline;
        cursor: pointer;
        border: none;
        color: @vr__col-5;
        padding-left: 0;
        .trans;
    }
}

#shipping_method {
    list-style-type: none;
    margin: 0;
    padding: 0;
    li {
        padding: 6px 0;
    }
}

.woocommerce-cart-form tbody {
    border-top: none!important;
    border-bottom: none!important;
    input {
        margin-left: 0;
    }
}

.cart_totals.calculated_shipping {
    margin: @margin__xl 0;
    .woocommerce-checkout-review-order-table; // h2 {
    //     .o-underline;
    // }
}
.c-formShippingCalculator__inner {
    display: flex;
    justify-content: space-between;
    .form-row {
        width: 24%;
        text-align: left!important;

    }
    @media @mq--smartphone {
        flex-wrap: wrap;
        .form-row, input {
            width: 100%;
        }
    }
}
@media @mq--smartphone {
    .woocommerce-shipping-destination, .woocommerce-shipping-calculator {
        text-align: left;
    }
}

// RIEPILOGO PAGAMANENTO
.woocommerce-thankyou-order-details {
    margin: 0!important;
    padding: 0!important;
    list-style-type: none!important;
}

// IL MIO ACCOUNT
.woocommerce-MyAccount-navigation {
    ul {
        margin: 0 0 @margin__lg;
        padding: 0;
        li {
            list-style-type: none;
            position: relative;
            padding-left: 20px;
            line-height: 30px;
            font-family: 'AkkuratBold';
            &:after {
                position: absolute;
                content: '+';
                display: block;
                top: 0;
                left: 0;
                height: 30px;
                width: 20px;
            }
        }
    }
}
.woocommerce-MyAccount-content {
    strong, a {
        font-family: 'AkkuratBold';

    }
    a {
        text-decoration: underline;
    }
}

// IL MIO ACCOUNT -- ORDINI 
.woocommerce-orders-table {
    margin-top: @size__xl;
    thead {
        .txt--font__bold;
        border-bottom: solid 1px @vr__col-6!important;
    }
    tr {
        border: solid 1px @vr__col-6;
    }
    td,
    th {
        height: 32px;
        padding: 4px 8px;
    }
    .button {
        padding: 0 4px!important;
        margin: 0 4px;
        text-decoration: underline;
        &:before {
            display: none;
        }
        &:after {
            width: 100%;
            left: 0;
        }
    }
}

// IL MIO ACCOUNT -- DETTAGLI ACCOUNT

fieldset {
    margin: @margin__md 0;
    width: 100%;
}

.change-password {
    display: flex;
    justify-content: space-between;
    @media @mq--smartphone {
        flex-direction: column;
    }
}

// IL MIO ACCOUNT -- LOGIN
#customer_login {
    label {
        display: block;
    }
}

.registrazione,
.accedi {
    margin-bottom: @margin__xl;
}

// IL MIO ACCOUNT -- MOFICIA INDIRIZZO
.form-edit-address {
    label {
        display: block;
    }
}
.woocommerce-Addresses {
    display: flex;
    justify-content: space-between;
    @media @mq--smartphone {
        display: block;
    }
}